import request from '@/utils/request'

export function yppbg(data) {
  return request({
    url: "/zyjh/yppbg",
    method: "post",
    data,
  });
}

export function bgList(data) {
  return request({
    url: "/zyjh/wzxjc",
    method: "post",
    data,
  });
}

export function wbfList(data) {
  return request({
    url: "/yppyz/wbfList",
    method: "post",
    data,
  });
}

export function ppBGong(data) {
  return request({
    url: "/zyjh/ppBGong",
    method: "post",
    data
  });
}

export function getBzryByBz(params) {
  return request({
    url: "/zyjh/getBzryByBz",
    method: "get",
    params
  });
}

export const exportPW=function(data){
  return request({
    url: '/pgdSljh/exportPW',
    method: 'post',
    data: data
  })
}

export const pwpg=function(data){
  return request({
    url: '/zyjh/pwpg',
    method: 'post',
    data: data
  })
}

export function pdfList(params) {
  return request({
    url: "/kban/pdfList",
    method: "get",
    params,
  });
}

export const getYdjhByZtOrForeman=function(data){
  return request({
    url: '/zyjh/getYdjhByZtOrForeman',
    method: 'get',
    params: data
  })
}

export const getForeman=function(data){
  return request({
    url: '/zyjh/getForeman',
    method: 'get',
    params: data
  })
}

export const getForemanByWorker=function(data){
  return request({
    url: '/zyjh/getForemanByWorker',
    method: 'get',
    params: data
  })
}

export const pgWithForeman=function(data){
  return request({
    url: '/zyjh/pgWithForeman',
    method: 'post',
    data: data
  })
}

export const getYdjhByZt=function(data){
  return request({
    url: '/zyjh/getYdjhByZt',
    method: 'get',
    params: data
  })
}

export const dict=function(data){
  return request({
    url: '/api/sy/getZhbmList',
    method: 'post',
    data: data
  })
}

export const daoduo=function(data){
  return request({
    url: '/zyjh/daoduo',
    method: 'post',
    data: data
  })
}

export const zx=function(data){
  return request({
    url: '/zyjh/zx',
    method: 'post',
    data: data
  })
}

export const getPgd2=function(data){
  return request({
    url: '/zyjh/pgd2',
    method: 'post',
    data: data
  })
}

export const getPgd=function(data){
  return request({
    url: '/zyjh/pgd',
    method: 'post',
    data: data
  })
}

export const shangLiaos=function(data){
  return request({
    url: '/zyjh/sls',
    method: 'post',
    data: data
  })
}

export const shangLiao=function(data){
  return request({
    url: '/zyjh/sl',
    method: 'post',
    data: data
  })
}

export const getSljhPgd=function(data={}){
  return request({
    url: '/zyjh/sljh',
    method: 'post',
    data:data
  })
}

export const getDw=function(data={}){
  return request({
    url: '/zyjh/dw',
    method: 'get',
    params:data
  })
}

export const getYcldw=function(data={}){
  return request({
    url: '/zyjh/ycldw',
    method: 'post',
    params:data
  })
}

export const bgControl=function(data){
  return request({
    url: '/zyjh/bgControl',
    method: 'post',
    params: data
  })
}
